[Git][debian-gis-team/fyba][master] New version with a sensible autopkgtest

Ruben Undheim gitlab at salsa.debian.org
Thu Aug 2 19:40:53 BST 2018


Ruben Undheim pushed to branch master at Debian GIS Project / fyba


Commits:
80ffffb6 by Ruben Undheim at 2018-08-02T18:36:06Z
New version with a sensible autopkgtest

- - - - -


4 changed files:

- debian/changelog
- − debian/source/lintian-overrides
- + debian/tests/control
- + debian/tests/link-to-library


Changes:

=====================================
debian/changelog
=====================================
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,14 @@
+fyba (4.1.1-6) unstable; urgency=medium
+
+  * Add a sensible autopkgtest which verifies that it is possible to
+    link with libfyba.
+    - Added these files:
+        debian/tests/control
+        debian/tests/link-to-library
+  * Remove lintian override for testsuite-autopkgtest-missing.
+
+ -- Ruben Undheim <ruben.undheim at gmail.com>  Thu, 02 Aug 2018 20:28:34 +0200
+
 fyba (4.1.1-5) unstable; urgency=medium
 
   * Team upload.


=====================================
debian/source/lintian-overrides deleted
=====================================
--- a/debian/source/lintian-overrides
+++ /dev/null
@@ -1,3 +0,0 @@
-# Not worth the effort
-testsuite-autopkgtest-missing
-


=====================================
debian/tests/control
=====================================
--- /dev/null
+++ b/debian/tests/control
@@ -0,0 +1,2 @@
+Tests: link-to-library
+Depends: libfyba-dev, g++


=====================================
debian/tests/link-to-library
=====================================
--- /dev/null
+++ b/debian/tests/link-to-library
@@ -0,0 +1,34 @@
+#!/bin/bash
+
+TMPDIR=`mktemp -d`
+
+
+cd ${TMPDIR}
+cat > source_file.cc << EOF
+#include <iostream>
+
+int main() {
+  std::cout << "Hello world. Just tested that it is possible to\nlink with -lfyba, -lfygm and -lfyut without\nanything written to stderr." << std::endl;
+}
+
+EOF
+
+RET=0
+
+g++ -o source_file source_file.cc -lfyba -lfygm -lfyut
+RETSTEP=$?
+if [ "$RETSTEP" != "0" ] ; then
+  RET=1
+fi
+
+./source_file
+RETSTEP=$?
+if [ "$RETSTEP" != "0" ] ; then
+  RET=1
+fi
+
+readelf -d ./source_file
+
+rm -rf ${TMPDIR}
+
+exit $RET



View it on GitLab: https://salsa.debian.org/debian-gis-team/fyba/commit/80ffffb6ae2632dcf432a8a5f69c6f55bd015940

-- 
View it on GitLab: https://salsa.debian.org/debian-gis-team/fyba/commit/80ffffb6ae2632dcf432a8a5f69c6f55bd015940
You're receiving this email because of your account on salsa.debian.org.
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/pkg-grass-devel/attachments/20180802/6388c536/attachment-0001.html>


More information about the Pkg-grass-devel mailing list